
footer {    
background-color: rgb(255,255,255);    
    position: relative;
    bottom: 0;
    
    height: 45vh;
    display: flex;
    width: 100vw;
    column-gap: 2vw;
    color: black;
    row-gap: 0;
    
    height: auto;
    max-height:fit-content;
    max-height: 45vh;
}

footer>section {
    max-width: 100%;
    padding: 0%;
    max-height: 45vh;
    width: 30vw;
    gap: 0;
    margin: auto;
    max-width: 30vw;
    align-content: center;
    
    
}

footer>section>.section-inner-heading {
    max-height: 10vh;    
    margin-block-start: 0;
    margin-block-end: 0;
    padding: 0;
    max-height: 10vh;
    margin-block-start: 0;
    margin-block-end: 0;
}

footer>section>.section-inner,
footer>section>.section-inner>.section-inner-content {
    max-height: 25vh;
    max-width: 100%;
    max-width: 30vw;
    text-wrap-mode: wrap;
    margin-block-start: 0;
    margin-block-end: 0;
    
}

ul,
li>* {
    text-wrap-mode: wrap;
    word-break: break-all;
    max-width: 100%;
    
}

@media (orientation: portrait) {

    footer>section>.section-inner>.section-inner-content {
        max-height: 25vh;
        max-width: 100%;
        max-width: 80vw;
        text-wrap-mode: wrap;
        margin-block-start: 0;
        margin-block-end: 0;
    }
    footer>section>.section-inner{ height:13vh;max-height:fit-content }
    footer>section {
        height: 55vh;
        max-width: unset;
        width: 80vw;
    }
    
    footer>section>*>* {
        margin-block: 0;
        width: 80vw;
    }
    
    footer>section>* h3 {
        font-size: 1rem;
        text-align: right;
        width: 250px;
        max-width: fit-content;
    }
    
    footer>section>* ul li {
        margin-block: 0;
        font-size: 0.8rem;
        width: 80vw;
    }
    
    footer {
        flex-direction: column;
        height: 60vh;
        bottom: 0;
        margin: auto;
        background-color: rgb(255,255,255);
        
    }
    
}

footer>*,footer, footer>*>*{font-family:unset;font-family:"Helvetica";}
